Bug 1080552 (JON3-47, PRODMGT-629) - EAP management plug-in for JON should use host controller's configuration name as part of newly discovered host controller resource name [PRODMGT-629]
Summary: EAP management plug-in for JON should use host controller's configuration nam...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: JON3-47, PRODMGT-629
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR01
: JON 3.3.0
Assignee: Stefan Negrea
QA Contact: Filip Brychta
URL:
Whiteboard:
Depends On: 1128141
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-25 16:42 UTC by Heiko W. Rupp
Modified: 2018-12-04 17:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:04:47 UTC
Type: Enhancement


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1128159 None None None Never
Red Hat Knowledge Base (Solution) 633713 None None None Never
Red Hat One Jira Issue Tracker JON3-47 Major Closed EAP management plug-in for JON should use host controller's configuration name as part of newly discovered host controll... 2016-10-12 15:49:19 UTC

Internal Links: 1128159

Description Heiko W. Rupp 2014-03-25 16:42:42 UTC
The name of the host controller is in host.xml and the expectation is that the configured name be assigned to the resource. Having to manually change the name of the resource after each discovery is not acceptable.
The current behavior results in all resources having the same name making it impossible to distinguish one resource from another unless the resource's lineage or connection properties are examined.

Comment 1 Stefan Negrea 2014-05-06 19:07:28 UTC
Added the value of the name attribute of the host element to the resource name when discovered or imported into inventory. This is applicable only to host controllers for now. 

In the future this can be extended to standalone but at this time the standalone descriptor does not have a similar property.

I am also attaching a screenshot to show how the resource name changed after this change.

Sample XML node that contains the name attribute (in host.xml):
<host name="master_one" xmlns="urn:jboss:domain:1.4">


master branch commit:
https://github.com/rhq-project/rhq/commit/f72a2c465545862618209d5c78bdfb6533bdb433

Comment 3 JBoss JIRA Server 2014-05-06 19:10:24 UTC
Heiko Rupp <hrupp@redhat.com> updated the status of jira JON3-47 to Resolved

Comment 10 Simeon Pinder 2014-07-31 15:52:23 UTC
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993

Comment 11 Filip Brychta 2014-08-08 13:38:18 UTC
Verified on
Version :	
3.3.0.DR01
Build Number :	
6468454:dda0a47

https://tcms.engineering.redhat.com/run/166220/

One edge case failed - bz 1128159

Comment 13 JBoss JIRA Server 2014-08-15 22:27:46 UTC
mfoley user <mfoley@redhat.com> updated the status of jira JON3-47 to Reopened

Comment 14 JBoss JIRA Server 2014-10-07 14:17:13 UTC
mfoley user <mfoley@redhat.com> updated the status of jira JON3-47 to Resolved

Comment 16 JBoss JIRA Server 2015-02-09 23:43:14 UTC
Larry O'Leary <loleary@redhat.com> updated the status of jira JON3-47 to Closed


Note You need to log in before you can comment on or make changes to this bug.